% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/infrasonic_calcFFT.R
\name{infrasonic.calcFFT}
\alias{infrasonic.calcFFT}
\title{calcFFT}
\usage{
infrasonic.calcFFT(
  d,
  res = 0.1,
  noise = 0,
  t_abs_lim = NULL,
  matrix_output = FALSE,
  detrend = FALSE,
  mean = "squared"
)
}
\arguments{
\item{d}{Dataframe got from infrasonic.readSerial()}

\item{res}{Frequency resolution. Must fit to the data length. For lower resolution a sliding window is calculated and averaged. Defaults to 0.1}

\item{noise}{Sensor noise in Pa to substract from signal}

\item{t_abs_lim}{Select a subset of the time series. Defaults to null}

\item{matrix_output}{return a matrix instead of averaged FFT}

\item{detrend}{Detrend the signal to avoid edge effects}

\item{mean}{Mean calculation by squared or linear pressure. Defaults to squared}
}
\description{
This function calculates FFT on read data
}
\examples{
infrasonic.calcFFT(d,res=0.01)
}
\keyword{FFT}
