% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/infrasonic_compareFiles.R
\name{infrasonic.compareFiles}
\alias{infrasonic.compareFiles}
\title{compareFiles}
\usage{
infrasonic.compareFiles(
  files,
  names = NULL,
  res = 0.1,
  freq_lim = c(0, 20),
  db_lim = c(20, 120),
  t_lim = c(0, 0),
  main = "",
  noise = NULL
)
}
\arguments{
\item{files}{Array of filenames to read for comparing}

\item{names}{Corresponding names for files. If set these names are used for the legend instead of the file names}

\item{res}{Frequency resolution. Must fit to the data length. For lower resolution a sliding window is calculated and averaged. Defaults to 0.1}

\item{freq_lim}{frequency limits to plot. Defaults to c(0,20)}

\item{db_lim}{db limits in Plot. Defaults to c(0,20)}

\item{t_lim}{limits for time series plotting. If zero no time series plot is made. Defaults to c(0,0)}

\item{main}{Title of plot}

\item{noise}{Pa values of noise to substract}
}
\description{
This function read incoming serial data
it plots the data online and returns da data frame with the collected data
}
\examples{
infrasonic.compareFiles(c("SDP600-Harsdorf-Fenster-Auf.2020-03-18 22:27:03.csv",
  "SDP600-Harsdorf-Fenster-Zu.2020-03-18 22:15:23.csv",
  "SDP600-Harsdorf-3600s.2020-03-18 23:05:47.csv"),
  c("Fenster auf","Fenster zu","Fenster zu (1h)"),
  res=0.03,max_f=25)
}
\keyword{FFT}
\keyword{compare}
\keyword{readings}
