% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/infrasonic_plotFFT.R
\name{infrasonic.plotFFT}
\alias{infrasonic.plotFFT}
\title{plotFFT}
\usage{
infrasonic.plotFFT(
  d,
  res = 0.1,
  freq_lim = c(0, 20),
  db_lim = c(20, 120),
  main = "",
  t_lim = c(0, 0),
  t_abs_lim = NULL,
  noise = 0,
  plot_third = TRUE,
  plot_threshold = FALSE,
  ...
)
}
\arguments{
\item{d}{Dataframe got from infrasonic.readSerial() or from infrasonic.readRaw()}

\item{res}{Frequency resolution. Must fit to the data length. For lower resolution a sliding window is calculated and averaged. Defaults to 0.1}

\item{freq_lim}{frequency limit for plot. Defaults to c(0,20)}

\item{db_lim}{db limits on y-axis. Defaults to c(20,120)}

\item{main}{Title of plot}

\item{t_lim}{Limits for time series plotting. If zero no time series plot is made. Defaults to c(0,0)}

\item{t_abs_lim}{Select a subset of the time series. Defaults to null}

\item{noise}{Sensor noise in Pa to substract from signal}

\item{plot_third}{add thirds to plot}

\item{plot_threshold}{add threshold to plot}
}
\description{
This function calculates and plots FFT on read data
when x_lim[1] is greater than zero, also the time series is plotted for the selected
time interval
}
\examples{
infrasonic.plotFFT(d,t_lim=(10,20)) # Plot FFT and the time series
}
\keyword{FFT}
\keyword{plot}
