% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/infrasonic_plotFFT.R
\name{infrasonic.plotSpectrogram}
\alias{infrasonic.plotSpectrogram}
\title{plotSpectrogram}
\usage{
infrasonic.plotSpectrogram(
  d,
  res = 0.1,
  freq_lim = c(0, 20),
  db_lim = c(20, 60),
  main = "",
  xlim = NULL,
  noise = 0,
  ...
)
}
\arguments{
\item{d}{Dataframe got from infrasonic.readSerial() or from infrasonic.readRaw()}

\item{res}{Frequency resolution. Must fit to the data length. For lower resolution a sliding window is calculated and averaged. Defaults to 0.1}

\item{freq_lim}{frequency limit for plot. Defaults to c(0,20)}

\item{db_lim}{db limits on y-axis. Defaults to c(20,60)}

\item{xlim}{Limits for time axis}

\item{noise}{Sensor noise in Pa to substract from signal}
}
\description{
This function calculates and plots spectrogram on read data
}
\examples{
infrasonic.plotSpectrogram(d,db_lim=c(25,50))
}
\keyword{FFT}
\keyword{plot}
